#!/bin/ksh
###############################################################################
#
# Licensed Materials - Property of IBM
# IBM DB2 Net Search Extender Version 8.2
# Product Number 5765-F38
# (c ) Copyright IBM Corp. 2001, 2004.  All Rights Reserved.
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corporation
#
###############################################################################
#
#***********************************************************************
# Program name  : nsesetup.sh                                          *
#                                                                      *
#                                                                      *
# Description   : Prepare environment and run the installation program *
#                                                                      *
#               SUN Solaris                                            *
#***********************************************************************

if [[ -a /tmp/db2nseinst$$.log ]] then
    /usr/bin/rm /tmp/db2nseinst$$.log
fi
#



#-----------------------------------------------------------------------
#  Call the License acceptance program:
#-----------------------------------------------------------------------
     ./JRE_HOME/bin/java  -cp ./LAP_HOME/lapapp.jar:./JRE_HOME/lib/rt.jar:./JRE_HOME/lib/i18n.jar com.ibm.lex.lapapp.LAP -l ./LA_HOME -s /opt/IBM/db2/V8.1/db2ext  -text_only

ReturnCode=$?

#-----------------------------------------------------------------------
#  Depending on the Return Code, act appropriately ...
#-----------------------------------------------------------------------

if [ $ReturnCode  =  9 ]
        then
         echo " ....................."

         #-----------------------------------------------------------------------
         #  Install DB2 Net Search Extender
         #-----------------------------------------------------------------------
         /usr/sbin/pkgadd -d ./db2nse8211.img  -a ./db2nse8211.adm -n db2nse82   1>> /tmp/db2nseinst$$.log 2>&1

         #-----------------------------------------------------------------------
         # Convert the "try-and-buy" license to a "permanent" license
         #-----------------------------------------------------------------------
         if [[ -e ../license/db2nse.lic  ]] then
             /opt/IBM/db2/V8.1/adm/db2licm  -a    ../license/db2nse.lic
         fi

         #-----------------------------------------------------------------------
         # Copy release.txt
         #-----------------------------------------------------------------------
         if [[ -e ../release.txt  ]] then
             cp ../release.txt   /opt/IBM/db2/V8.1/doc/db2ext/release.txt
         fi

         #-----------------------------------------------------------------------
         #  Display the LOG file
         #-----------------------------------------------------------------------
         echo " "
         echo "----------------------------------- "
         echo "****** " /tmp/db2nseinst$$.log
         echo "----------------------------------- "
         /usr/bin/cat  /tmp/db2nseinst$$.log

        exit 0

else

         #echo "\n***************************************************************************"
         #echo "* Installation cancelled. (License not accepted)                          *"
         #echo "***************************************************************************\n"
        exit 1
fi

return
#-----------------------------------------------------------------------------
#
#    A return code (status code) is always returned to the invoker of the LAP tool. The return code is either the
#    latest acceptance status or an error code. The return code is defined as an int(32 bit wide integer) and the
#    full definition is listed below.
#    . 0 not defined;
#    . 1 no LAP status available;
#    . 3 declined;
#    . 5 bypassed;(not used in this release)
#    . 9 accepted;
#    Followings are diagnostic information and could be treated in general as errors or exceptions. Any status in
#    this category should be fixed before shipping the Product. The status is provided for diagnostic purposes
#    only.
#    . 10 not used
#    . 11 Exception during retrieval of LA files(application)
#    . 12 not used
#    . 13 Exception during retrieval of LI files (application)
#    . 14 Exception during retrieval of LA files(web - CURRENTLY NOT SUPPORTED)
#    . 15 Exception during recording of status and text license files
#    . 16 not used
#    . 17 Missing arguments exception
#    . 18 Invalid arguments exception
#    . 19 Path to License Files is invalid
#    . 20 Path to read status file is invalid
#    . 21 Path to write status file is invalid
#
#    4.7 Trouble Shooting Errors
#    LAP window does not come up, but it previously did - the LA was previously accepted, so no action is
#    required. Check in the directory specified by -s and -m for a status.properties file. This is the status file.
#    Return Code 11 - An exception occurred during retrieval of the LA files. Check that the LA files exist in
#    the directory specified by -l and that it is readable.
#    Return Code 13 - An exception occurred during retrieval of the LI files. Check that the LI files exist in the
#    directory specified by -l and that it is readable.
#    Return Code 14 - An exception occurred during retrieval of the LI files, for the web scenario. Check that
#    the LI files exist in the directory specified by -l and that it is readable. CURRENTLY NOT SUPPORTED
#    Return Code 15 - An exception occurred when trying to write the LAP status file or the text license files.
#    Check that the directory specified by -s and -m are writable.
#    Return Code 17 - Ensure that all mandatory parameters are specified(-l and -s).
#    Return Code 18 - Ensure that all parameters are specified correctly.
#    Return Code 19 - The directory specified by -l is invalid.
#    Return Code 20 - Ensure that directory specified for -s parameter exists
#    Return Code 21 - Check the permission on the path specified by -s and -m. Are they readable and
#    writable.
#
#
#

